<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveMultiple Method (DatabaseEntry, Boolean, Int32)
Cursor Class See Also Send Feedback

Set the cursor to refer to key, and store that key and as many duplicate data items associated with the given key that can fit in a buffer the size of BufferSize in CurrentMultiple.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public bool MoveMultiple(
    	DatabaseEntry key,
    	bool exact,
    	int BufferSize
    )

Visual Basic (Declaration)

    Public Function MoveMultiple ( _
    	key As DatabaseEntry, _
    	exact As Boolean, _
    	BufferSize As Integer _
    ) As Boolean

Visual C++

    public:
    bool MoveMultiple(
    	DatabaseEntry^ key,
    	bool exact,
    	int BufferSize
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The key at which to position the cursor

exact
  Type: System..::.Boolean
  If false and in a database configured for sorted duplicates, position the cursor at the smallest key greater than or equal to the specified key, permitting partial key matches and range searches. Otherwise, require the given key to match the key in the database exactly.

BufferSize
  Type: System..::.Int32
  The size of a buffer to fill with duplicate data items. Must be at least the page size of the underlying database and be a multiple of 1024.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

Cursor Class
MoveMultiple Overload
BerkeleyDB Namespace